@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,400;9..40,700&family=Inter:wght@700&family=Roboto:wght@400;500&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html, .container{
    height: 100%;
    width: 100%;
    position: relative;
}

.container{
    background-color: #3B4664;
    display: flex;
    align-items: center;
    justify-content: center;
}

.calculator{
    height: 60%;
    width: 25%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.output{
    background-color: #181F32;
    height: 20%;
    width: 100%;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.input{
    background-color: #252D44;
    height: 75%;
    width: 100%;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}

.layers{
    width: 90%;
    display: flex;
    justify-content: space-between;
}

button{
    height: 40px;
    width: 60px;
    border-radius: 8px;
    font-family: Inter;
    color: #3B4664;
    font-size: 24px;
    outline: none;
    border: none;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

button:hover{
    scale: 1.05;
    cursor: pointer;
}

.reset, .equal{
    width: 45%;
}

.del, .reset{
    background-color: #647299;
    color: #FFFFFF;
    font-size: large;
}

.equal{
    color: #FFFFFF;
    background-color: #D13F30;
}

input{
    height: 50px;
    width: 90%;
    text-align: end;
    border: none;
    outline: none;
    font-size: 32px;
    background-color: #181F32;
    color: #FFFFFF;
    letter-spacing: 10px;
}

@media screen and (max-width: 640px) {
    .calculator{
        width: 80vw;
    }
    button{
        margin: 2px;
    }
}
